Displaying 7 results from an estimated 7 matches for "vc_list_except".
2015 Mar 11
2
[PATCH] maint.mk: remove error_message_period check
...0644
--- a/maint.mk
+++ b/maint.mk
@@ -408,13 +408,6 @@ sc_error_message_uppercase:
{ echo '$(ME): found capitalized error message' 1>&2; \
exit 1; } || :
-# Error messages should not end with a period
-sc_error_message_period:
- @grep -nEA2 '[^rp]error *\(' $$($(VC_LIST_EXCEPT)) \
- | grep -E '[^."]\."' && \
- { echo '$(ME): found error message ending in period' 1>&2; \
- exit 1; } || :
-
sc_file_system:
@prohibit=file''system \
ignore_case=1 \
--
2.1.0
2009 Aug 03
1
use gnulib, and begin to pass its "make syntax-check" tests
...+ sc_two_space_separator_in_usage \
+ sc_error_message_uppercase \
+ sc_program_name \
+ sc_require_test_exit_idiom \
+ sc_makefile_check \
+ sc_useless_cpp_parens
+
+# Avoid uses of write(2). Either switch to streams (fwrite), or use
+# the safewrite wrapper.
+sc_avoid_write:
+ @if $(VC_LIST_EXCEPT) | grep '\.c$$' > /dev/null; then \
+ grep '\<write *(' $$($(VC_LIST_EXCEPT) | grep '\.c$$') && \
+ { echo "$(ME): the above files use write;" \
+ " consider using the safewrite wrapper instead" \
+ 1>&2; exit 1; }...
2015 Mar 12
1
Re: [PATCH] maint.mk: remove error_message_period check
..._error_message_uppercase:
> > { echo '$(ME): found capitalized error message' 1>&2; \
> > exit 1; } || :
> >
> > -# Error messages should not end with a period
> > -sc_error_message_period:
> > - @grep -nEA2 '[^rp]error *\(' $$($(VC_LIST_EXCEPT)) \
> > - | grep -E '[^."]\."' && \
> > - { echo '$(ME): found error message ending in period' 1>&2; \
> > - exit 1; } || :
> > -
> > sc_file_system:
> > @prohibit=file''system \
> >...
2012 Sep 17
1
[PATCH libguestfs] maint: remove a subsumed syntax-check rule
...redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -115,16 +115,6 @@ sc_prohibit_gethostby:
halt='use getaddrinfo, not gethostby*' \
$(_sc_search_regexp)
-# Disallow trailing blank lines.
-sc_prohibit_trailing_blank_lines:
- @$(VC_LIST_EXCEPT) \
- | xargs perl -ln -0777 -e \
- '-f $$ARGV or next; /\n\n+$$/ and print $$ARGV' > $@-t
- @found=0; test -s $@-t && { found=1; cat $@-t 1>&2; \
- echo '$(ME): found trailing blank line(s)' 1>&2; }; \
- rm -f $@-t; \
- test $$foun...
2015 Mar 12
0
Re: [PATCH] maint.mk: remove error_message_period check
...> @@ -408,13 +408,6 @@ sc_error_message_uppercase:
> { echo '$(ME): found capitalized error message' 1>&2; \
> exit 1; } || :
>
> -# Error messages should not end with a period
> -sc_error_message_period:
> - @grep -nEA2 '[^rp]error *\(' $$($(VC_LIST_EXCEPT)) \
> - | grep -E '[^."]\."' && \
> - { echo '$(ME): found error message ending in period' 1>&2; \
> - exit 1; } || :
> -
> sc_file_system:
> @prohibit=file''system \
> ignore_case=1 \
> --
>...
2009 Aug 05
1
syntax-check changes
...s): Exempt symlinks.
---
cfg.mk | 5 +++--
1 files changed, 3 insertions(+), 2 deletions(-)
diff --git a/cfg.mk b/cfg.mk
index c43185c..2b37450 100644
--- a/cfg.mk
+++ b/cfg.mk
@@ -134,8 +134,9 @@ sc_prohibit_gethostby:
# Disallow trailing blank lines.
sc_prohibit_trailing_blank_lines:
- @$(VC_LIST_EXCEPT) | xargs perl -ln -0777 -e \
- '/\n\n+$$/ and print $$ARGV' > $@-t
+ @$(VC_LIST_EXCEPT) \
+ | xargs perl -ln -0777 -e \
+ '-f $$ARGV or next; /\n\n+$$/ and print $$ARGV' > $@-t
@found=0; test -s $@-t && { found=1; cat $@-t 1>&2; \
ech...
2009 Aug 03
1
[PATCH 1/2] Convert all TABs-as-indentation to spaces.
...bit_asprintf \
sc_m4_quote_check \
@@ -107,10 +106,10 @@ sc_prohibit_ctype_h:
1>&2; exit 1; } || :
# Ensure that no C source file uses TABs for indentation.
+# Exclude some version-controlled symlinks.
sc_TAB_in_indentation:
@grep -lE '^ * ' /dev/null \
- $$($(VC_LIST_EXCEPT) \
- | grep -E '\.[ch](\.in)?$$') && \
+ $$($(VC_LIST_EXCEPT)) && \
{ echo '$(ME): found TAB(s) used for indentation in C sources;'\
'use spaces' 1>&2; exit 1; } || :
--
1.6.4.212.g4719